aboutsummaryrefslogtreecommitdiff
path: root/tools/manage
diff options
context:
space:
mode:
Diffstat (limited to 'tools/manage')
-rwxr-xr-xtools/manage16
1 files changed, 16 insertions, 0 deletions
diff --git a/tools/manage b/tools/manage
new file mode 100755
index 0000000..dc7f64b
--- /dev/null
+++ b/tools/manage
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+set -e
+
+python3.11 --version > /dev/null 2>&1 || (
+ echo Error: failed to run Python with python3.11 --version.
+ exit 1
+)
+
+script_dir=$(dirname "$0")
+project_dir=$(realpath "$script_dir/..")
+
+cd "$project_dir"
+
+export PYTHONPATH="$project_dir/tools/cru-py:$PYTHONPATH"
+python3.11 -m cru.service --project-dir "$project_dir" "$@"